View Issue Details

IDProjectCategoryView StatusLast Update
0000715OpenMPT[All Projects] Playback Compatibilitypublic2016-02-28 09:23
ReporterSaga MusixAssigned ToSaga Musix 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first)Fixed in VersionOpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first) 
Summary0000715: More fine-grained legacy playback options
Description

Optimally, we should have a flag for every legacy playback detail, rather than one global "More IT/FT2-compatible playback" switch. That way, some quirks could be re-used for other formats, and more importantly we'd have bigger control over achieving the same playback quality of a given module as in older OpenMPT versions.
For example, in general the new period-less linear slides mode for IT modules is of course great to have, but at high frequencies the differences between the old and new behaviour are so apparent that e.g. the drum line in znm-latenight.it at around 4:00 is off-beat. However, disabling the new behaviour for non-compatible mode would mean that we'd have inferior frequency control in modern MPTM files with disabled compatibility mode, which is not acceptable either.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2015-10-25 22:46

administrator   ~0002166

This is going to be a great SVN blame fest to figure out for which version numbers which feature should be enabled...

Saga Musix

Saga Musix

2015-11-28 15:19

administrator   ~0002195

More or less done, just probably needs some more refinement in the usability.

Saga Musix

Saga Musix

2015-12-08 19:17

administrator   ~0002214

Implemented in r5827.

Issue History

Date Modified Username Field Change
2015-10-13 20:23 Saga Musix New Issue
2015-10-13 20:38 Saga Musix Description Updated View Revisions
2015-10-25 22:46 Saga Musix Note Added: 0002166
2015-10-25 22:46 Saga Musix Assigned To => Saga Musix
2015-10-25 22:46 Saga Musix Status new => assigned
2015-11-28 15:19 Saga Musix Note Added: 0002195
2015-12-08 19:17 Saga Musix Note Added: 0002214
2015-12-08 19:17 Saga Musix Status assigned => resolved
2015-12-08 19:17 Saga Musix Resolution open => fixed
2015-12-08 19:17 Saga Musix Fixed in Version => OpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first)
2015-12-08 19:17 Saga Musix Target Version => OpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first)